# RASAllowedDevicesSetting.md

## NAMESPACE

RASAdminEngine.Core.OutputModels

## DESCRIPTION

RAS Allowed Devices Settings

## INHERITED FROM

[RASSerilazableObj](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rasserilazableobj.md)

⇒

RASAllowedDevicesSetting

## INTERFACES

* ISerializable
* IComparable

## PUBLIC PROPERTIES

| Type                                                                                                                    | Name                               | Description                                                         |
| ----------------------------------------------------------------------------------------------------------------------- | ---------------------------------- | ------------------------------------------------------------------- |
| Boolean                                                                                                                 | AllowClientAndroid                 | Whether Android clients are allowed or not.                         |
| Boolean                                                                                                                 | AllowClientChromeApp               | Whether ChromeApp clients are allowed or not                        |
| Boolean                                                                                                                 | AllowClientIOS                     | Whether IOS clients are allowed or not.                             |
| Boolean                                                                                                                 | AllowClientLinux                   | Whether Linux clients are allowed or not.                           |
| Boolean                                                                                                                 | AllowClientMAC                     | Whether MAC clients are allowed or not.                             |
| [AllowClientMode](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/allowclientmode.md) | AllowClientMode                    | Permission mode for allowing types of clients.                      |
| Boolean                                                                                                                 | AllowClientWeb                     | Whether Web clients are allowed or not.                             |
| Boolean                                                                                                                 | AllowClientWindows                 | Whether Windows clients are allowed or not.                         |
| Boolean                                                                                                                 | AllowClientWithSecurityPatchesOnly | Whether clients with security patches installed are only allowed to |
| connect.                                                                                                                | Boolean                            | AllowClientWyse                                                     |
| Whether Wyse clients are allowed or not.                                                                                | UInt32                             | MinBuildAndroid                                                     |
| Represents the minimum build required for the Android client.                                                           | UInt32                             | MinBuildChromeApp                                                   |
| Represents the minimum build required for the ChromeApp client.                                                         | UInt32                             | MinBuildIOS                                                         |
| Represents the minimum build required for the IOS client.                                                               | UInt32                             | MinBuildLinux                                                       |
| Represents the minimum build required for the Linux client.                                                             | UInt32                             | MinBuildMAC                                                         |
| Represents the minimum build required for the MAC client.                                                               | UInt32                             | MinBuildWeb                                                         |
| Represents the minimum build required for the Web client.                                                               | UInt32                             | MinBuildWindows                                                     |
| Represents the minimum build required for the Windows client.                                                           | UInt32                             | MinBuildWyse                                                        |
| Represents the minimum build required for the Wyse client.                                                              | Boolean                            | ReplicateSettings                                                   |
| Whether replication of settings to other sites is enabled or not.                                                       | UInt32                             | SiteId                                                              |

## PUBLIC METHODS

| Type        | Name                       | Description                                                                                                                                |
| ----------- | -------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------ |
| Int32       | CompareTo (Object obj)     | Inherited from [RASSerilazableObj](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rasserilazableobj.md) |
| Boolean     | Equals (Object obj)        | Inherited from [RASSerilazableObj](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rasserilazableobj.md) |
| Int32       | GetHashCode ()             | Inherited from [RASSerilazableObj](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rasserilazableobj.md) |
| Type        | GetType ()                 | String                                                                                                                                     |
| ToString () | ### References to Commands |                                                                                                                                            |
| ----        |                            |                                                                                                                                            |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rasalloweddevicessetting.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
